Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
local_finder
/
live
/
advanced
Live Google Local Finder SERP
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/google/local_finder/live/advanced \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "location_code": 123,
  "location_name": "<string>",
  "location_coordinate": "<string>",
  "language_code": "<string>",
  "language_name": "<string>",
  "min_rating": 123,
  "time_filter": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].result": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

Keyword to search for

location_code
integer

Search engine location code

location_name
string

Full name of search engine location

location_coordinate
string

GPS coordinates of a location

language_code
string

Search engine language code

language_name
string

Full name of search engine language

min_rating
number

Minimum rating filter

time_filter
string

Time filter

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks
string[]

Array of tasks

tasks[].result
string[]

Array of live SERP results